stages:          # List of stages for jobs, and their order of execution
  - train
#   - deploy

submit_training_job:
  image: python:3.8
  stage: train
  script:
    - pip install --no-cache-dir --upgrade awscli pandas boto3 sagemaker requests
    - python aws_sagemaker_train.py
  only:
    - merge_requests


# deploy_endpoint:
#   image: python:3.8
#   stage: deploy
#   script:
#     - pip install --no-cache-dir --upgrade awscli pandas boto3 sagemaker requests tensorflow
#     - python sm_deploy.py
#   only:
#     - main
